@import "@/styles/variables";

.navbar-dropdown {
    position: relative;
    display: inline-block;
    padding: 0;
    font-weight: 700;
}

.dropdown-container {
    display: flex;
    align-items: baseline;
    gap: 10px;

    a {
        text-decoration: none;
    }

    &-button {
        z-index: 5;
        align-self: flex-end;
    }
}

.dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
    min-width: 160px;

    ul {
        list-style: none;
        padding: 0;
        margin: 0;
        display: flex;
        flex-direction: column;
    }
}

.show {
    position: relative;
    padding-top: 0.5rem;
    padding-left: 1rem;

    @include notebook {
        position: absolute;
        padding-top: 2.5rem;
        padding-left: 0;
    }

    ul {
        display: flex !important;
        flex-direction: column;
        gap: 1rem;
    }

    a {
        text-transform: none;
        color: rgb(96 98 102);

        @include notebook {
            color: $black;
        }
    }
}
